package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumPosCouponEnableType {

    // 0:禁用 1:单选可用

    Disable(0, "禁用"),
    SingleEnable(1, "单选可用"),
    MultiEnable(2, "多选可用")
    ;

    public static EnumPosCouponEnableType getEnum(Integer code) {
        for (EnumPosCouponEnableType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumPosCouponEnableType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
